Bug 351291 - kudzu fails to cope with quoted parameters in ifcfg files
kudzu fails to cope with quoted parameters in ifcfg files
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: initscripts Maintenance Team
Brock Organ
:
Depends On: 243653
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-24 16:35 EDT by Bill Nottingham
Modified: 2014-03-16 23:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0443
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:23:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (1.03 KB, patch)
2008-01-09 15:51 EST, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2007-10-24 16:35:59 EDT
+++ This bug was initially created as a clone of Bug #243653 +++

+++ This bug was initially created as a clone of Bug #243651 +++

Description of problem:

kudzu fails to cope with quoted parameters in ifcfg files

Version-Release number of selected component (if applicable):

1.2.57.1.13

How reproducible:

always

Steps to Reproduce:
1. edit ifcfg-* files and quote DEVICE/HWADDR lines
2. run kudzu
3.
  
Actual results:

kudzu does not match devices and regenerates files

Expected results:

copes with quoted parameters and uses existing files

Additional info:

-- Additional comment from mpoole@redhat.com on 2007-06-11 05:07 EST --
Created an attachment (id=156685)
patch to handle quoted parameters

-- Additional comment from mpoole@redhat.com on 2007-06-11 05:10 EST --
Created an attachment (id=156686)
patch to handle quoted parameters


-- Additional comment from notting@redhat.com on 2007-06-14 12:57 EST --
Note: this requires respinning initscripts too. There's something to be said for
'don't mis-edit files', though. :)

-- Additional comment from pm-rhel@redhat.com on 2007-10-15 23:57 EST --
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

-- Additional comment from notting@redhat.com on 2007-10-24 16:35 EST --
Also, with regards to this patch, it will break if someone *wants* there to be a
quote in their device name. As that's legal (if odd) for the device name, I'm
somewhat inclined to not dequote that parameter. (And no, I don't want to
introduce escapes.)
Comment 1 RHEL Product and Program Management 2007-10-24 16:44:35 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Bill Nottingham 2008-01-09 15:51:51 EST
Created attachment 291202 [details]
patch

Here's what's now in CVS.
Comment 8 errata-xmlrpc 2008-05-21 13:23:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0443.html

Note You need to log in before you can comment on or make changes to this bug.